#pragma once

class TimeObserver;

#include <memory>
#include <string>
#include <set>
#include <utility>
#include <set>

class Time {
	size_t _day{0};
	std::set<TimeObserver*> obs_list;
	public:
	void attach(TimeObserver *obs);
	void detach(TimeObserver *obs);
	Time& operator++();
	size_t day();
};
